OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_NodeOfWriterLib Class Reference

`#include <StepData_NodeOfWriterLib.hxx>`

## Public Member Functions
Standard_EXPORT | StepData_NodeOfWriterLib ()
Standard_EXPORT void | AddNode (const Handle(StepData_GlobalNodeOfWriterLib)&anode)
Standard_EXPORT const Handle_StepData_ReadWriteModule & | Module () const
Standard_EXPORT const Handle_StepData_Protocol & | Protocol () const
Standard_EXPORT const Handle_StepData_NodeOfWriterLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepData_GlobalNodeOfWriterLib | thenode
Handle_StepData_NodeOfWriterLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT StepData_NodeOfWriterLib::StepData_NodeOfWriterLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_NodeOfWriterLib::AddNode | ( | const Handle(StepData_GlobalNodeOfWriterLib)& | anode | ) |

Standard_EXPORT const StepData_NodeOfWriterLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_StepData_ReadWriteModule& StepData_NodeOfWriterLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_StepData_NodeOfWriterLib& StepData_NodeOfWriterLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_StepData_Protocol& StepData_NodeOfWriterLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_StepData_NodeOfWriterLib StepData_NodeOfWriterLib::thenext`[private]`

Handle_StepData_GlobalNodeOfWriterLib StepData_NodeOfWriterLib::thenode`[private]`

The documentation for this class was generated from the following file:

- StepData_NodeOfWriterLib.hxx